@import url("../../../root/css/root.css");

/* PRODUCT CARD */
.product-card {
    width: 440px;
    height: 440px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #FFFFFF;
    box-shadow: var(--box-shadow);
    border-radius: 7px;
    padding: 30px 33px;
    overflow: hidden;
    transition: var(--transition-out);
}

.product-card:hover {
    transform: scale(1.03);
    transition: var(--transition-in);
}

.product-card.discount::before {
    content: '';
    background: linear-gradient(to right bottom, #8F0257, #167AD6) border-box;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 7px;
    mask: linear-gradient(#fff, #fff) padding-box, linear-gradient(#fff, #fff);
    mask-composite: exclude;
    overflow: hidden;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    z-index: 2;
}

.product-card__top, .product-card__bottom {
    display: flex;
    flex-direction: column;
}

.product-card__title {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    text-align: center;
    white-space: nowrap;
    margin: 0 0 33px 0;
}

.product-card__title-icon {
    width: 37px;
    height: 37px;
    margin: 0 0 0 15px;
}

.product-card__list {
    width: 100%;
    list-style: none;
    align-self: center;
    margin: 0 0 21px 0;
}

.product-card__list .product-card__list-item:last-child {
    margin: 0;
}

.product-card__list-item {
    text-align: center;
    margin: 0 0 33px 0;
}

.product-card__info {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: center;
    justify-content: space-between;
    margin: 0 0 12px 0;
}

.product-card__info-price-postpay {
    display: none;
}

.product-card__info-price-postpay.postpay {
    display: block;
    font-family: NoirPro-Light, sans-serif;
    font-size: 13px;
    color: #139925;
}

.product-card__button {
    width: 100%;
    text-align: center;
}

.product-card__title, .product-card__list, .product-card__info, .product-card__button {
    z-index: 1;
}

@media all and (max-width: 1599px) {
    /* PRODUCT CARD */
    .product-card {
        width: clamp(24.75rem, 0rem + 27.5vw, 27.5rem);
        height: clamp(24.75rem, 0rem + 27.5vw, 27.5rem);
        border-radius: clamp(0.375rem, -0.188rem + 0.625vw, 0.438rem);
        padding: clamp(1.688rem, 0rem + 1.875vw, 1.875rem) clamp(1.875rem, 0.188rem + 1.875vw, 2.063rem);
    }

    .product-card__title {
        margin: 0 0 clamp(1.875rem, 0.188rem + 1.875vw, 2.063rem) 0;
    }

    .product-card__title-icon {
        width: clamp(2.063rem, -0.188rem + 2.5vw, 2.313rem);
        height: clamp(2.063rem, -0.188rem + 2.5vw, 2.313rem);
        margin: 0 0 0 clamp(0.875rem, 0.313rem + 0.625vw, 0.938rem);
    }

    .product-card__list {
        margin: 0 0 clamp(1.188rem, 0.063rem + 1.25vw, 1.313rem) 0;
    }

    .product-card__list-item {
        margin: 0 0 clamp(1.875rem, 0.188rem + 1.875vw, 2.063rem) 0;
    }

    .product-card__info {
        margin: 0 0 clamp(0.688rem, 0.125rem + 0.625vw, 0.75rem) 0;
    }

    .product-card__info-price-postpay.postpay {
        font-size: clamp(0.75rem, 0.188rem + 0.625vw, 0.813rem);
    }
}

@media all and (max-width: 1439px) {
    /* PRODUCT CARD */
    .product-card {
        width: 530px;
        height: 530px;
        padding: 34px 45px;
    }

    .product-card__title {
        margin: 0 0 80px 0;
    }

    .product-card__title-icon {
        width: 47px;
        height: auto;
        margin: 0 0 0 12px;
    }

    .product-card__list-item .small-text {
        font-size: 18px;
    }

    .product-card__info .small-text {
        font-size: 18px;
    }

    .product-card__info-price-text {
        font-size: 32px;
    }

    .product-card__info-price-text .small-text {
        font-size: 22px;
    }

    .product-card__info-price-postpay.postpay {
        font-size: 16px;
    }
}

@media all and (max-width: 768px) {
    .product-card {
        width: clamp(13.563rem, -0.411rem + 69.866vw, 33.125rem);
        height: clamp(13.563rem, -0.411rem + 69.866vw, 33.125rem);
        padding: clamp(1.313rem, 0.018rem + 6.473vw, 3.125rem) clamp(1rem, -0.071rem + 5.357vw, 2.5rem) clamp(0.875rem, -0.018rem + 4.464vw, 2.125rem) clamp(1rem, -0.071rem + 5.357vw, 2.5rem);
    }

    .product-card__title {
        margin: 0 0 clamp(1.125rem, -0.08rem + 6.027vw, 2.813rem) 0;
    }

    .product-card__title-icon {
        width: clamp(1.188rem, -0.063rem + 6.25vw, 2.938rem);
        margin: 0 0 0 clamp(0.313rem, 0rem + 1.563vw, 0.75rem);
    }

    .product-card__list-item .small-text, .product-card__info .small-text{
        font-size: clamp(0.438rem, -0.054rem + 2.455vw, 1.125rem);
    }

    .product-card__list-item {
        margin: 0 0 clamp(0.75rem, -0.188rem + 4.688vw, 2.063rem) 0;
    }

    .product-card__info {
        margin: 0 0 clamp(0.313rem, 0.045rem + 1.339vw, 0.688rem) 0;
    }

    .product-card__info-price-text {
        font-size: clamp(0.813rem, -0.036rem + 4.241vw, 2rem);
    }

    .product-card__info-price-postpay.postpay {
        font-size: clamp(0.438rem, 0.036rem + 2.009vw, 1rem);
    }
}